%global _owner pgnd
%global _build_timestamp %( date +%%Y%%m%%d_%%H%%M%%S --utc )

%define _mdb_name        mariadb
%define _mdb_ug_name     %{_mdb_name}-sysusers
%define _mdb_ug_pkgname  %{_mdb_ug_name}
%define _mdb_ug_comment  MariaDB users & groups

# https://spdx.org/licenses/MIT.html
%global _mdb_ug_license MIT

%define _mdb_ug_file_in  %{_mdb_name}.sysusers
%define _mdb_ug_file_out %{_mdb_name}.conf
%define _mdb_ug_dir      /etc/sysusers.d

%global dist .%{_build_timestamp}.%{_owner}.fc%{fedora}

# NEVRA (n-e:v-r.a)
Name:              %{_mdb_ug_name}
Epoch:             3
Version:           git_1.0
Release:           0%{?dist}
BuildArch:         noarch

Summary:           %{_mdb_ug_comment}
License:           %{_mdb_ug_license}

Source0:           %{_mdb_ug_file_in}
Provides:          group(%{_mdb_name})
Provides:          user(%{_mdb_name})

BuildRequires:     coreutils
BuildRequires:     systemd-rpm-macros
%{?sysusers_requires_compat}

%description
%{_mdb_ug_comment}

%prep
cp %{SOURCE0} .

%build

%install
mkdir -p %{buildroot}%{_mdb_ug_dir}
install -p -T -m 644 %{SOURCE0} %{buildroot}%{_mdb_ug_dir}/%{_mdb_ug_file_out}

%check

%pre
%sysusers_create_compat %{SOURCE0}

%files
%dir %{_mdb_ug_dir}
%{_mdb_ug_dir}/%{_mdb_ug_file_out}

%changelog
* Sat Apr 26 2025 pgnd _ <null@null.loc>
- bump 1745723904

